import request from '@/utils/request'
import md5 from 'js-md5'

/*
* 账号用户
*/
export default {
  login(params) {
    return request.post(`/gisUser/login`,{
      account:params.account,
      password:md5(params.password),
      nonceId:params.nonceId,
      verificationCode:params.verificationCode
    })
  },

  userInfo(params) {
    return request.get('/gisUser/baseInfo', { params: params })
  },
  modifyPass(params) {
    return request.put(`/gisUser/updatePassword`, {
      originalPassword:md5(params.oldPsw),
      currentPassword: md5(params.newPsw),
      repeatPassword: md5(params.repeatPsw),
    })
  },

  verification(params){
    return request({
      url:'/gisUser/verification',
      method: 'get',
      responseType: 'blob', //选择接收方式为blob
      params:params
    })
  
  },
  keepAlive(){
    return request.post('/gisUser/keepAlive')
  },
  visit(){
    return request.post('/gisVisited')
  },
  countVisit(){
    return request.get('/gisVisited/count')
  }
}
