import { createApp } from 'vue'

import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import zhCn from 'element-plus/es/locale/lang/zh-cn';//解决elementpLus一些组件是英文的问题
import router from './router';
import App from './App.vue'
import AMapLoader from "@amap/amap-jsapi-loader";
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import store from './store'

const app = createApp(App);

app.use(ElementPlus,{
    locale:zhCn
});

for (const [name, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(name, component);
}

app.use(router);

app.use(ElementPlus);

app.use(store);

app.mount('#app');

// const loader = AMapLoader.load({
//     key: "7a6db58e92f9271f0f7c159871eb3a5e",             // 申请好的Web端开发者Key，首次调用 load 时必填
//     version: "2.0",      // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
//     plugins: ['AMap.DistrictSearch'],       // 需要使用的的插件列表，如比例尺'AMap.Scale'等
// });

//export default loader
